All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata
Interface PropertyGroupInterface

All Superinterfaces:
  MetadataInterface, PublicObjectInterface, java.rmi.Remote

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public interface PropertyGroupInterface

extends MetadataInterface

Field Summary

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Method Summary
`abstract void` | `addCustomizer(SoftwareComponentInterface softcom)` Add a `SoftwareComponentInterface` object as a customizer of this PropertyGroup.
`abstract void` | `addGroupedProperty(AbstractPropertyInterface property)` Add a `AbstractPropertyInterface` to the collection grouped by this PropertyGroup.
`abstract void` | `addSubpropertyGroup(PropertyGroupInterface group)` Add a subproperty group.
`abstract java.util.List` | `getCustomizers()` Get the List of `SoftwareComponentInterface` objects which act as customizers to this group.
`abstract java.util.List` | `getGroupedProperties()` Get the List of `AbstractPropertyInterface` objects grouped by this PropertyGroup.
`abstract int` | `getMaximum()` Get the maximum number of properties in this group that may have values.
`abstract int` | `getMinimum()` Get the minimum number of properties in this group that must have values.
`abstract com.sas.services.information.metadata.PortalProperties` | `getPortalProperties()` The portal uses this special method after a search using a special partial filter.
`abstract java.util.List` | `getSubpropertyGroups()` Get the subproperty groups.
`abstract boolean` | `isVisible()` Should this group be displayed in a UI?
`abstract void` | `removeCustomizer(SoftwareComponentInterface softcom)` Remove a `SoftwareComponentInterface` from the list of customizers of this PropertyGroup.
`abstract void` | `removeGroupedProperty(AbstractPropertyInterface property)` Remove a `AbstractPropertyInterface` object from the group.
`abstract void` | `removeSubpropertyGroup(PropertyGroupInterface group)` Remove a subproperty group.
`abstract void` | `setCustomizers(java.util.List softcoms)` Set the list of `SoftwareComponentInterface` objects to act as customizers on this PropertyGroup.
`abstract void` | `setGroupedProperties(java.util.List properties)` Set the collection of `AbstractPropertyInterface` objects grouped by this PropertyGroup.
`abstract void` | `setIsVisible(boolean isVisible)` Set flag indicating whether this group should be displayed in a UI.
`abstract void` | `setMaximum(int maximum)` Set the maximum allowed number of properties in this group.
`abstract void` | `setMinimum(int minimum)` Set the minimum number of properties in this group that must have values.
`abstract void` | `setSubpropertyGroups(java.util.List groups)` Set the list of subproperty groups.

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Method Detail

### isVisible

    boolean isVisible()
                      throws ServiceException,
                             java.rmi.RemoteException

  Should this group be displayed in a UI?

  Returns:
    true or false.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setIsVisible

    void setIsVisible(boolean isVisible)
                      throws ServiceException,
                             java.rmi.RemoteException

  Set flag indicating whether this group should be displayed in a UI.

  Parameters:
    `isVisible` - True if this is a group to be displayed.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getMinimum

    int getMinimum()
                   throws ServiceException,
                          java.rmi.RemoteException

  Get the minimum number of properties in this group that must have values.

  Returns:
    The minimum number of properties with values.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setMinimum

    void setMinimum(int minimum)
                    throws ServiceException,
                           java.rmi.RemoteException

  Set the minimum number of properties in this group that must have values.

  Parameters:
    `minimum` - The minimum number of properties with values.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getMaximum

    int getMaximum()
                   throws ServiceException,
                          java.rmi.RemoteException

  Get the maximum number of properties in this group that may have values.

  Returns:
    The maximum allowed properties in this group.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setMaximum

    void setMaximum(int maximum)
                    throws ServiceException,
                           java.rmi.RemoteException

  Set the maximum allowed number of properties in this group.

  Parameters:
    `maximum` - The maximum allowed number of properties in this group.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getSubpropertyGroups

    java.util.List getSubpropertyGroups()
                                        throws ServiceException,
                                               java.rmi.RemoteException

  Get the subproperty groups.

  Returns:
    A List of PropertyGroupInterface objects that are subproperty groups.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### addSubpropertyGroup

    void addSubpropertyGroup(PropertyGroupInterface group)
                             throws ServiceException,
                                    java.rmi.RemoteException

  Add a subproperty group.

  Parameters:
    `group` - A PropertyGroupInterface object to make a subproperty group of this one.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### removeSubpropertyGroup

    void removeSubpropertyGroup(PropertyGroupInterface group)
                                throws ServiceException,
                                       java.rmi.RemoteException

  Remove a subproperty group.

  Parameters:
    `group` - The PropertyGroup to remove as a subproperty group.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setSubpropertyGroups

    void setSubpropertyGroups(java.util.List groups)
                              throws ServiceException,
                                     java.rmi.RemoteException

  Set the list of subproperty groups.

  Parameters:
    `groups` - A List of PropertyGroupInterface objects to make the current list of subproperty groups.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getCustomizers

    java.util.List getCustomizers()
                                  throws ServiceException,
                                         java.rmi.RemoteException

  Get the List of `SoftwareComponentInterface` objects which act as customizers to this group.

  Returns:
    A List of `SoftwareComponentInterface` objects which are the customizers of this PropertyGroup.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### addCustomizer

    void addCustomizer(SoftwareComponentInterface softcom)
                       throws ServiceException,
                              java.rmi.RemoteException

  Add a `SoftwareComponentInterface` object as a customizer of this PropertyGroup.

  Parameters:
    `softcom` - The `SoftwareComponentInterface` object to make a customizer.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### removeCustomizer

    void removeCustomizer(SoftwareComponentInterface softcom)
                          throws ServiceException,
                                 java.rmi.RemoteException

  Remove a `SoftwareComponentInterface` from the list of customizers of this PropertyGroup.

  Parameters:
    `softcom` - The `SoftwareComponentInterface` to remove from the list of customizers on this PropertyGroup.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setCustomizers

    void setCustomizers(java.util.List softcoms)
                        throws ServiceException,
                               java.rmi.RemoteException

  Set the list of `SoftwareComponentInterface` objects to act as customizers on this PropertyGroup.

  Parameters:
    `softcoms` - The List of `SoftwareComponentInterface` objects.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getGroupedProperties

    java.util.List getGroupedProperties()
                                        throws ServiceException,
                                               java.rmi.RemoteException

  Get the List of `AbstractPropertyInterface` objects grouped by this PropertyGroup.

  Returns:
    A List of `AbstractPropertyInterface` objects grouped by this PropertyGroup.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### addGroupedProperty

    void addGroupedProperty(AbstractPropertyInterface property)
                            throws ServiceException,
                                   java.rmi.RemoteException

  Add a `AbstractPropertyInterface` to the collection grouped by this PropertyGroup.

  Parameters:
    `property` - A `AbstractPropertyInterface` object to add to this group.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### removeGroupedProperty

    void removeGroupedProperty(AbstractPropertyInterface property)
                               throws ServiceException,
                                      java.rmi.RemoteException

  Remove a `AbstractPropertyInterface` object from the group.

  Parameters:
    `property` - The `AbstractPropertyInterface` to remove from the group.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setGroupedProperties

    void setGroupedProperties(java.util.List properties)
                              throws ServiceException,
                                     java.rmi.RemoteException

  Set the collection of `AbstractPropertyInterface` objects grouped by this PropertyGroup.

  Parameters:
    `properties` - The List of `AbstractPropertyInterface` objects grouped by this PropertyGroup.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getPortalProperties

    com.sas.services.information.metadata.PortalProperties getPortalProperties()
                                                                               throws ServiceException,
                                                                                      java.rmi.RemoteException

  The portal uses this special method after a search using a special partial filter. This sets the objects state to AL_PARTIALSET so that jOMA knows that if someone else asks for it, to refetch the data. It then gets the groupedProperties, customizers without allowing a trip to the server, getting only what's already in the object store, and requests the Properties forcing a trip to the server, then returns them in the PortalProperties object.

  Returns:
    A PortalProperties object with the cached values in the GroupedProperties, Customizers, and Properties associations.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.